﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;

namespace AlternateColorMapper
{
    public class AlterateColorMapper : ValueMapper
    {
        public override void MapValue(TreemapNode node)
        {
            Tag data = node.DataContext as Tag;
            if (data != null)
            {
                if (data.Level % 2 == 0)
                {
                    node.Fill = new SolidColorBrush() { Color = Colors.Blue };
                }
                else
                {
                    node.Fill = new SolidColorBrush() { Color = Colors.Red };
                }
            }
        }

        public override void ResetValue(TreemapNode node)
        {
            
        }
    }
}
