﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace AlternateColorMapper
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            this.treemap.ItemsSource = GetData();
        }

        List<Tag> GetData()
        {
            List<Tag> data = new List<Tag>();
            Tag tag0 = new Tag() { Count = 5, Name = "tag0", Level = 0 };
            data.Add(tag0);

            Tag tag11 = new Tag() { Count = 5, Name = "tag11", Level = 1 };
            Tag tag12 = new Tag() { Count = 5, Name = "tag12", Level = 1};
            Tag tag13 = new Tag() { Count = 5, Name = "tag13", Level = 1};
            Tag tag14 = new Tag() { Count = 5, Name = "tag14", Level = 1};

            tag0.Children.Add(tag11);
            tag0.Children.Add(tag12);
            tag0.Children.Add(tag13);
            tag0.Children.Add(tag14);

            Tag tag21 = new Tag() { Count = 5, Name = "tag21", Level = 2};
            Tag tag22 = new Tag() { Count = 5, Name = "tag22", Level = 2 };
            Tag tag23 = new Tag() { Count = 5, Name = "tag23", Level = 2 };
            Tag tag24 = new Tag() { Count = 5, Name = "tag24", Level = 2 };

            tag11.Children.Add(tag21);
            tag11.Children.Add(tag22);
            tag13.Children.Add(tag23);
            tag13.Children.Add(tag24);

            return data;

        }

    }
}
